CREATE TABLE fa_methods (
    METHOD_CODE                   VARCHAR2(48)      NOT NULL,
    LIFE_IN_MONTHS                NUMBER(4, 0)  ,
    DEPRECIATE_LASTYEAR_FLAG      VARCHAR2(12)      NOT NULL,
    STL_METHOD_FLAG               VARCHAR2(12)      NOT NULL,
    RATE_SOURCE_RULE              VARCHAR2(40)      NOT NULL,
    DEPRN_BASIS_RULE              VARCHAR2(16)      NOT NULL,
    PRORATE_PERIODS_PER_YEAR      NUMBER(3, 0)  ,
    NAME                          VARCHAR2(320) ,
    EXCLUDE_SALVAGE_VALUE_FLAG    VARCHAR2(12)  ,
    DEPRN_BASIS_RULE_ID           NUMBER(18, 0) ,
    POLISH_ADJ_CALC_BASIS_FLAG    VARCHAR2(4)   ,
    SET_ID                        NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE       VARCHAR2(120) ,
    GUARANTEE_RATE_METHOD_FLAG    VARCHAR2(12)  ,
    JP_IMP_CALC_BASIS_FLAG        VARCHAR2(12)  ,
    USE_LIFE_IN_PERIODS_FLAG      VARCHAR2(4)   ,
    DISABLED_FLAG                 VARCHAR2(4)   ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    GLOBAL_ATTRIBUTE1             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE21            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE22            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE23            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE24            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE25            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE26            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE27            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE28            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE29            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE30            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_DATE1        DATE          ,
    GLOBAL_ATTRIBUTE_DATE2        DATE          ,
    GLOBAL_ATTRIBUTE_DATE3        DATE          ,
    GLOBAL_ATTRIBUTE_DATE4        DATE          ,
    GLOBAL_ATTRIBUTE_DATE5        DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10     NUMBER        ,
    GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(120) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    METHOD_ID                     NUMBER(18, 0) ,
    ANNUITY_DEPRN_FLAG            VARCHAR2(4)   ,
    METHOD_ID                     NUMBER(18, 0) ,
    METHOD_CODE                   VARCHAR2(48)      NOT NULL,
    LIFE_IN_MONTHS                NUMBER(4, 0)  ,
    DEPRECIATE_LASTYEAR_FLAG      VARCHAR2(12)      NOT NULL,
    STL_METHOD_FLAG               VARCHAR2(12)      NOT NULL,
    RATE_SOURCE_RULE              VARCHAR2(40)      NOT NULL,
    DEPRN_BASIS_RULE              VARCHAR2(16)      NOT NULL,
    PRORATE_PERIODS_PER_YEAR      NUMBER(3, 0)  ,
    NAME                          VARCHAR2(320) ,
    EXCLUDE_SALVAGE_VALUE_FLAG    VARCHAR2(12)  ,
    DEPRN_BASIS_RULE_ID           NUMBER(18, 0) ,
    POLISH_ADJ_CALC_BASIS_FLAG    VARCHAR2(4)   ,
    SET_ID                        NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE       VARCHAR2(120) ,
    GUARANTEE_RATE_METHOD_FLAG    VARCHAR2(12)  ,
    JP_IMP_CALC_BASIS_FLAG        VARCHAR2(12)  ,
    USE_LIFE_IN_PERIODS_FLAG      VARCHAR2(4)   ,
    DISABLED_FLAG                 VARCHAR2(4)   ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    GLOBAL_ATTRIBUTE1             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9             VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE21            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE22            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE23            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE24            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE25            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE26            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE27            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE28            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE29            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE30            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_DATE1        DATE          ,
    GLOBAL_ATTRIBUTE_DATE2        DATE          ,
    GLOBAL_ATTRIBUTE_DATE3        DATE          ,
    GLOBAL_ATTRIBUTE_DATE4        DATE          ,
    GLOBAL_ATTRIBUTE_DATE5        DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9      NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10     NUMBER        ,
    GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(120) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    ANNUITY_DEPRN_FLAG            VARCHAR2(4)   ,
    CONSTRAINT pk_fa_methods PRIMARY KEY (METHOD_ID, METHOD_ID)
);
